/*
 * Copyright(c) Live2D Inc. All rights reserved.
 *
 * Use of this source code is governed by the Live2D Open Software license
 * that can be found at http://live2d.com/eula/live2d-open-software-license-agreement_en.html.
 */

#include "LAppDelegate.hpp"

#include <razor_capture.h>
#include <kernel.h>
#include <math.h>
#include <stdio.h>

unsigned int sceLibcHeapSize = 64 * 1024 * 1024;

int main()
{
    /*int ret = sceKernelLoadStartModule("app0:librazorcapture_es4.suprx", 0, NULL, 0, NULL, NULL);
    if (ret > 0) {
        sceRazorGpuCaptureSetTrigger(20, "uma0:gpu_capture.sgx");
    }*/

    // create the application instance
    if (LAppDelegate::GetInstance()->Initialize() == 0)
    {
        return 1;
    }

    LAppDelegate::GetInstance()->Run();

    return 0;
}